Subject: FVWM: Lost Focus on Start up

From: Jun Shen <[email-masked]>
Date: Fri, 20 Feb 1998 17:29:30 -0500

Hi Every one:

I hope some one can solve my simple problem.
We use fvwm2 as our window manager. We start 2 applications, one on Desk
0 and another one on Desk 1. 
The problem I have is: 
If the current window is on Desk 0 and second application started on
Desk 1, the keyboard focus is lost from the current application when
Application program is started on Desk 2.(I use StartOnDesk option)
Is this a FVWM problem or the problem of Application ?
Here is part of the .fvwm2rc that I used:
# Focus Setup

Style "*"       ClickToFocus

# Misc. Setup

ClickTime       150
OpaqueMoveSize  100
EdgeScroll      0 0
EdgeResistance  0 20
Style "*"       MWMFunctions, MWMDecor

# Window Placement

Style "*"       SmartPlacement
Style "*"       RandomPlacement

# Virtual setup

DeskTopSize     1x1

# Styles

Style "*"       NoTitle, NoHandles, NoIcon, SkipMapping, BorderWidth 4
Style "Startup" Sticky, StaysOnTop, BorderWidth 0
Style "uidisp"  StartsOnDesk 0, CirculateSkip, BorderWidth 0
Style "trx_ui"  StartsOnDesk 0, BorderWidth 0
Style "configuration" StartsOnDesk 1, BorderWidth 0 

AddToFunc "InitFunction" "I" Exec xpmroot
/usr/felix/icons/big_highway.xpm &
+               "I" Exec pos_startup &

Any suggestion is welcome.

---------------------------------------------------------------------------
Jun Shen   Senior Software Engineer  |  Tel (757)
366-4400                
Schlumberger Technologies RPS-NAM    |  Fax (757)
424-2746                
825-M Greenbrier Circle             
|                                       
Chesapeake,  VA 23320                | 
[email-masked]       
---------------------------------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].